declare type method = 'trackEvent' | 'update';
declare type IntercomApi = {
    richLinkProperties: string[] | undefined;
    appId: string;
    activator: string | undefined;
};
declare type IntercomFunction = (method: method, ...args: unknown[]) => void;
export declare type Intercom = IntercomFunction & IntercomApi;
export {};
